# Update device key

Updates the metadata of a device key, such as the friendly device name or other custom data. **Required permissions**: `apps:edit`, `[appId]:edit`, `devices:edit`.

Endpoint: PUT /v1/users/{user_id}/device-keys/{key_id}
Security: ClientAccessToken

## Security:

  - `ClientAccessToken` (unknown)
    oauth2

## Path parameters:

  - `user_id` (string, required)
    ID of the user

  - `key_id` (string, required)
    An identifier for the user's device

## Request fields (application/json):

  - `display_name` (string)
    Friendly device name, used when displaying a list of the user's devices

  - `custom_data` (object)
    Custom data stored for this device, such as tags or device data obtained using other tools

  - `push_config` (object)
    Device push notification configuration

  - `push_config.device_token` (string, required)
    Device token for push notifications (FCM registration token or APN device token)

  - `push_config.type` (string, required)
    Type of push notification
    Enum: "FCM", "APN"

  - `push_config.bundle_id` (string)
    Bundle identifier, used for push notifications

  - `device_id` (string)
    ID of the device to associate with this key

## Response 200:

  - `200` (unknown)
    Device key updated

